#
# Conditional build:
%bcond_without	tests	# unit tests

Summary:	Pixel manipulation library
Summary(pl.UTF-8):	Biblioteka operacji na pikselach
Name:		pixman
# 0.38.x is stable, 0.39.x unstable
Version:	0.40.0
Release:	1
License:	MIT
Group:		Libraries
Source0:	https://www.cairographics.org/releases/%{name}-%{version}.tar.gz
# Source0-md5:	73858c0862dd9896fb5f62ae267084a4
URL:		http://pixman.org/
BuildRequires:	autoconf >= 2.62
BuildRequires:	automake
%{?with_tests:BuildRequires:	libpng-devel}
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.453
BuildRequires:	sed >= 4.0
Obsoletes:	libic
Obsoletes:	libpixman
Obsoletes:	libpixregion
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pixman is a pixel manipulation library.

%description -l pl.UTF-8
pixman to biblioteka do operacji na pikselach.

%package devel
Summary:	Development files for pixman
Summary(pl.UTF-8):	Pliki dla programistów do biblioteki pixman
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	libic-devel
Obsoletes:	libpixman-devel
Obsoletes:	libpixregion-devel

%description devel
This package contains development files for pixman library.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki dla programistów korzystających z biblioteki
pixman.

%package static
Summary:	Static pixman library
Summary(pl.UTF-8):	Statyczna biblioteka pixman
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libic-static
Obsoletes:	libpixman-static
Obsoletes:	libpixregion-static

%description static
This package contains static pixman library.

%description static -l pl.UTF-8
Ten pakiet zawiera statyczną wersję biblioteki pixman.

%prep
%setup -q

%{__sed} -i -e 's#<pixman-version.h>#"pixman-version.h"#' pixman/pixman.h

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-gtk \
	--disable-openmp \
	--disable-silent-rules \
%ifarch %{x8664}
%if "%{cc_version}" < "4.2"
	--disable-sse2
%endif
%endif

%{__make}

%{?with_tests:%{__make} -j1 check}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING README
%attr(755,root,root) %{_libdir}/libpixman-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpixman-1.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpixman-1.so
%{_libdir}/libpixman-1.la
%{_includedir}/pixman-1
%{_pkgconfigdir}/pixman-1.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libpixman-1.a
%changelog
* Fri Apr 24 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/pixman.git;a=log;h=master

* Fri Apr 24 2020 Jan Palus <atler@pld-linux.org> 77397b0
- up to 0.40.0

* Fri Apr 12 2019 Jakub Bogusz <qboosh@pld-linux.org> af703d6
- updated to 0.38.4

* Mon Apr 08 2019 Jakub Bogusz <qboosh@pld-linux.org> f9810fd
- updated to 0.38.2

* Mon Feb 11 2019 Jan Palus <atler@pld-linux.org> 1a52721
- up to 0.38.0

* Sat Dec 01 2018 Jakub Bogusz <qboosh@pld-linux.org> 85df223
- non-parallel tests

* Fri Nov 30 2018 Jakub Bogusz <qboosh@pld-linux.org> 00c7229
- disable openmp (used only in tests), seems to increase failure ratio on th-i686; release 2

* Fri Nov 30 2018 Jakub Bogusz <qboosh@pld-linux.org> c8539a5
- updated to 0.36.0

* Sun Jan 31 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 3424b9b
- up to 0.34.0

* Tue Sep 22 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> ac7947b
- up to 0.32.8

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 2f5de74
- x32 rebuild
- release 2 (by relup.sh)

* Sun Jul 06 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 06dce1d
- up to 0.32.6

* Mon Nov 18 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 71d7b36
- up to 0.32.4

* Tue Nov 12 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 7dd4254
- up to 0.32.2

* Mon Nov 11 2013 Jakub Bogusz <qboosh@pld-linux.org> ef2844a
- added ssse3 patch (fix SSSE3 detection so that it won't crash on older chips having APIC, but not SSSE3)
- release 2

* Mon Nov 11 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 57cad80
- up to 0.32.0; run tests

* Wed Aug 07 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 99f50f6
- up to 0.30.2

* Thu May 09 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 1cf6d56
- up to 0.30.0

* Thu Apr 25 2013 Kacper Kornet <draenog@pld-linux.org> 5fa26ec
- fix URL

* Mon Dec 10 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 063b0b3
- up to 0.28.2

* Wed Nov 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 523e6b7
- up to 0.28.0

